OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ActionMethod Class Reference

Representation of STEP entity ActionMethod
.

`#include <StepBasic_ActionMethod.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_ActionMethod ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(TCollection_HAsciiString)&aConsequence, const Handle(TCollection_HAsciiString)&aPurpose)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_TCollection_HAsciiString | Consequence () const
| Returns field Consequence .
Standard_EXPORT void | SetConsequence (const Handle(TCollection_HAsciiString)&Consequence)
| Set field Consequence .
Standard_EXPORT Handle_TCollection_HAsciiString | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(TCollection_HAsciiString)&Purpose)
| Set field Purpose .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_TCollection_HAsciiString | theConsequence
Handle_TCollection_HAsciiString | thePurpose
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ActionMethod::StepBasic_ActionMethod | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ActionMethod::Consequence | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ActionMethod::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ActionMethod::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_ActionMethod::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_ActionMethod::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(TCollection_HAsciiString)& | aConsequence,
|  | const Handle(TCollection_HAsciiString)& | aPurpose
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ActionMethod::Name | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ActionMethod::Purpose | ( |  | ) | const

Standard_EXPORT void StepBasic_ActionMethod::SetConsequence | ( | const Handle(TCollection_HAsciiString)& | Consequence | ) |

Standard_EXPORT void StepBasic_ActionMethod::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_ActionMethod::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_ActionMethod::SetPurpose | ( | const Handle(TCollection_HAsciiString)& | Purpose | ) |

## Field Documentation

Standard_Boolean StepBasic_ActionMethod::defDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_ActionMethod::theConsequence`[private]`

Handle_TCollection_HAsciiString StepBasic_ActionMethod::theDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_ActionMethod::theName`[private]`

Handle_TCollection_HAsciiString StepBasic_ActionMethod::thePurpose`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ActionMethod.hxx